//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Global2.h"
#include "RBLegWins.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TRBLegWin *RBLegWin = NULL;
//---------------------------------------------------------------------------

void __fastcall OpenLegendToolWindow(TForm *Owner, int X, int Y)
{
   if (SecureModeMsg(Owner))
      return;

   if (RBLegWin == NULL)
   {
      RBLegWin = new TRBLegWin(Owner);

      AnsiString xy = Global->DB->GetIni("remailerlistlegend", "");
      RBLegWin->Left = GetTok(0, xy, ',').ToIntDef(X);
      RBLegWin->Top = GetTok(1, xy, ',').ToIntDef(Y);

      RBLegWin->Show();
   }
   else
      RBLegWin->BringToFront();
}
//---------------------------------------------------------------------------

__fastcall TRBLegWin::TRBLegWin(TComponent* Owner)
        : TForm(Owner)
{
   TColor color;
   LoadFonts(AppIni(), NymIni, color, Font, RichEdit1->Font, NULL);
   RichEdit1->Color = color;
}
//---------------------------------------------------------------------------
void __fastcall TRBLegWin::FormClose(TObject *, TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------

__fastcall TRBLegWin::~TRBLegWin()
{
   if (FileExists(AppDat()))
      Global->DB->PutIni("remailerlistlegend", IntToStr(Left) + "," + IntToStr(Top));
   RBLegWin = NULL;
}
//---------------------------------------------------------------------------

