//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Global2.h"
#include "SelNymDlgs.h"
#include "NymDlgs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSelNymDlg *SelNymDlg;
//---------------------------------------------------------------------------

__fastcall TSelNymDlg::TSelNymDlg(TComponent* Owner)
        : TForm(Owner)
{
   if (!InitGlobal(this))
   {
      Application->ShowMainForm = false;
      PostMessage(Handle, WM_QUIT, 0, 0);
      return;
   }
   LoadFolderTree();
}
//---------------------------------------------------------------------------

__fastcall TSelNymDlg::~TSelNymDlg()
{
   ShutDownGlobal();
}
//---------------------------------------------------------------------------

void __fastcall TSelNymDlg::LoadFolderTree()
{
   TreeView1->Items->Clear();
   TreeView1->Items->BeginUpdate();

   TStringList *nyms = new TStringList();
   TStringList *folders = new TStringList();
   folders->Sorted = true;
   nyms->Sorted = true;

   NymNode = TreeView1->Items->AddChild(NULL, "Nyms");
   Global->DB->GetNymFolders(folders);
   for (int f = 0; f < folders->Count; f++)
   {
      AnsiString folder = folders->Strings[f];
      TTreeNode *FNode = TreeView1->Items->AddChild(NymNode, folder);
      TreeView1->Items->AddChild(FNode, "<new nym>");

      Global->DB->GetNyms(folder, nyms);
      for (int a = 0; a < nyms->Count; a++)
         TreeView1->Items->AddChild(FNode, nyms->Strings[a]);
   }

   NymNode->Expand(true);
   NymNode->MakeVisible();

   delete folders;
   delete nyms;

   TreeView1->Items->EndUpdate();
}
//---------------------------------------------------------------------------
#pragma argsused
void __fastcall TSelNymDlg::Button2Click(TObject *Sender)
{
   Close();
}
//---------------------------------------------------------------------------
#pragma argsused
void __fastcall TSelNymDlg::TreeView1DblClick(TObject *Sender)
{
   if (TreeView1->Selected)
   {
      OpenNym(this, QSGeneral, TreeView1->Selected->Text);
   }
}
//---------------------------------------------------------------------------
#pragma argsused
void __fastcall TSelNymDlg::RefreshBtnClick(TObject *Sender)
{
   TreeView1->Items->Clear();
   Snooze(200);
   LoadFolderTree();
}
//---------------------------------------------------------------------------

