//---------------------------------------------------------------------------

#ifndef CfgSourceDlgsH
#define CfgSourceDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
bool __fastcall EditConfigSource(TForm *Owner, const AnsiString &Nym, TTreeView *TreeView);
bool __fastcall EditConfigSource(TForm *Owner, const AnsiString &Nym, TStrings *spec);

class TCfgSourceDlg : public TForm
{
__published:	// IDE-managed Components
        TButton *OkBtn;
        TButton *CancelBtn;
        TRichEdit *Editor;
        TPopupMenu *PopupMenu1;
        TMenuItem *Copy1;
        TMenuItem *Paste1;
        TMenuItem *N1;
        TMenuItem *Delete1;
        TMenuItem *N2;
        TMenuItem *Savetofile1;
        TMenuItem *Loadfromfile1;
        TMenuItem *Insert1;
        TOpenDialog *OpenDialog1;
        TSaveDialog *SaveDialog1;
        TMenuItem *Cut1;
        TMenuItem *Selectall1;
        TMenuItem *N3;
        TMenuItem *Print1;
        TLabel *Label1;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall Cut1Click(TObject *Sender);
        void __fastcall Copy1Click(TObject *Sender);
        void __fastcall Paste1Click(TObject *Sender);
        void __fastcall Savetofile1Click(TObject *Sender);
        void __fastcall Loadfromfile1Click(TObject *Sender);
        void __fastcall Insert1Click(TObject *Sender);
        void __fastcall PopupMenu1Popup(TObject *Sender);
        void __fastcall Selectall1Click(TObject *Sender);
        void __fastcall Print1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        TStrings *spec;
        AnsiString nym;
        virtual __fastcall TCfgSourceDlg(TComponent* Owner);
        virtual __fastcall TCfgSourceDlg(TComponent* Owner, const AnsiString &Nym,
           TStrings *Spec);
};
//---------------------------------------------------------------------------
extern PACKAGE TCfgSourceDlg *CfgSourceDlg;
//---------------------------------------------------------------------------
#endif
