//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "GenNymCfgDlgs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TGenNymCfgDlg *GenNymCfgDlg;
//---------------------------------------------------------------------------

bool __fastcall CreateNymConfigMessage(TForm *Owner, bool &create, bool &commands,
   bool &pgpkey, bool &rblock, TFont *Font)
{
   bool doit = false;
   GenNymCfgDlg = new TGenNymCfgDlg(Owner);

   GenNymCfgDlg->CreateBox->Checked = create;
   GenNymCfgDlg->CmdsBox->Checked = commands;
   GenNymCfgDlg->PgpKeyBox->Checked = pgpkey;
   GenNymCfgDlg->RBlockBox->Checked = rblock;
   GenNymCfgDlg->Font->Assign(Font);

   GenNymCfgDlg->ShowModal();
   if (GenNymCfgDlg->ModalResult == mrOk)
   {
      create = GenNymCfgDlg->CreateBox->Checked;
      commands = GenNymCfgDlg->CmdsBox->Checked;
      pgpkey = GenNymCfgDlg->PgpKeyBox->Checked;
      rblock = GenNymCfgDlg->RBlockBox->Checked;
      doit = true;
   }

   delete GenNymCfgDlg;
   return doit;
}
//---------------------------------------------------------------------------

__fastcall TGenNymCfgDlg::TGenNymCfgDlg(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
#pragma argsused
void __fastcall TGenNymCfgDlg::CreateBoxClick(TObject *Sender)
{
   bool chkd = CreateBox->Checked;

   //CreateBox->Enabled = chkd;
   CmdsBox->Enabled   = chkd;
   PgpKeyBox->Enabled = chkd;
   RBlockBox->Enabled = chkd;
}
//---------------------------------------------------------------------------
