//---------------------------------------------------------------------------

#ifndef NymAdvDlgsH
#define NymAdvDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
bool __fastcall EditAdvancedRemailerDirectives(TForm *Owner, TTreeNode *Remailer,
   const AnsiString &Caps, bool Post, bool Last);
bool __fastcall EditAdvancedRemailerDirectives(TForm *Owner, TStrings *Spec,
   const AnsiString &Caps, bool post, bool last);

class TNymAdvDlg : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *DelGroup;
        TGroupBox *EncGroup;
        TGroupBox *GroupBox3;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label12;
        TComboBox *MaxDate;
        TComboBox *MaxCount;
        TComboBox *MaxSize;
        TComboBox *Inflate;
        TComboBox *RandHop;
        TComboBox *Cutmarks;
        TComboBox *LatentTime;
        TGroupBox *HedGroup;
        TButton *OkBtn;
        TButton *CancelBtn;
        TRadioButton *AnonToBtn;
        TCheckBox *AnonToBox;
        TRadioButton *RemixToBtn;
        TCheckBox *RemixToBox;
        TCheckBox *EncryptToBox;
        TRadioButton *EncryptToBtn;
        TRadioButton *RemailToBtn;
        TCheckBox *RemailToBox;
        TEdit *AnonTo;
        TEdit *RemixTo;
        TEdit *EncryptTo;
        TEdit *RemailTo;
        TButton *RemixToChainBtn;
        TButton *EncryptToChainBtn;
        TLabel *Label2;
        TEdit *TestTo;
        TLabel *Label3;
        TEdit *EncryptKey;
        TLabel *Label4;
        TEdit *Encrypt3DES;
        TLabel *Label5;
        TEdit *EncryptCAST;
        TLabel *Label1;
        TEdit *EncryptTest;
        TLabel *Label13;
        TEdit *EncryptSubject;
        TLabel *Label14;
        TLabel *Label15;
        TLabel *Label16;
        TLabel *Label17;
        TLabel *Label18;
        TLabel *Label19;
        TLabel *Label20;
        TEdit *Subject;
        TEdit *Newsgroups;
        TEdit *FollowupTo;
        TEdit *From;
        TEdit *CC;
        TEdit *Bcc;
        TEdit *ReplyTo;
        TEdit *AnonPostTo;
        TLabel *Label21;
        TButton *Button1;
        TButton *Button2;
        TButton *Button3;
        TButton *Button4;
        TButton *Button5;
        void __fastcall AnonToBtnClick(TObject *Sender);
        void __fastcall RemixToBtnClick(TObject *Sender);
        void __fastcall EncryptToBtnClick(TObject *Sender);
        void __fastcall RemailToBtnClick(TObject *Sender);
        void __fastcall TestToExit(TObject *Sender);
        void __fastcall TestToChange(TObject *Sender);
        void __fastcall AnonToBoxClick(TObject *Sender);
        void __fastcall RemixToBoxClick(TObject *Sender);
        void __fastcall EncryptToBoxClick(TObject *Sender);
        void __fastcall RemailToBoxClick(TObject *Sender);
        void __fastcall PasswordEnter(TObject *Sender);
        void __fastcall RemixToChainBtnClick(TObject *Sender);
        void __fastcall EncryptToChainBtnClick(TObject *Sender);
        void __fastcall KEYPasswordEnter(TObject *Sender);
        void __fastcall DESPasswordEnter(TObject *Sender);
        void __fastcall CASPasswordEnter(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
      //void __fastcall KEYPasswordChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
        //int mode;
        TStrings *spec;
        int orgremixtowidth;
        bool last, post, ext;
        AnsiString caps, orglatenttime, orginflate, orgrandhop, orgcutmarks,
           orgmaxdate, orgmaxsize, orgmaxcount;
        virtual __fastcall TNymAdvDlg(TComponent* Owner);
        virtual __fastcall TNymAdvDlg(TComponent* Owner, TStrings *Spec,
           const AnsiString &Caps, bool post, bool Last);

        AnsiString __fastcall GetDirective(const AnsiString &Directive);
        void __fastcall SetDirective(const AnsiString &Directive, const AnsiString &Value);
        int  __fastcall DelDirective(const AnsiString &Directive);

        void __fastcall EnableControl(TEdit *Control, bool Enable);
        bool __fastcall ValidAddress(AnsiString Address);
        bool __fastcall HasCap(const AnsiString &Cap);
        AnsiString __fastcall GetAnonToAddress();
        void __fastcall DisableControl(TComboBox *Control, TLabel *Label);
        void __fastcall DisableControl(TEdit *Control, TLabel *Label);
        void __fastcall DisableDelivery(TCheckBox *Box, TRadioButton *Btn, TEdit *Editor);
        int  __fastcall GetCapMax(const AnsiString &Cap);
        void __fastcall SaveToSpec();

        void __fastcall SetDeliverToggles();
        void __fastcall SetEncryptToggles();
        void __fastcall SetHeaderToggles();
        void __fastcall SetMiscToggles();
        void __fastcall SetExtMode();

        bool __fastcall Modified();
};


//---------------------------------------------------------------------------
extern PACKAGE TNymAdvDlg *NymAdvDlg;
//---------------------------------------------------------------------------
#endif
