//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "global2.h"
#include "RBEsubDlgs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TRBEsubDlg *RBEsubDlg;
//---------------------------------------------------------------------------

bool __fastcall OpenRBEsubDialog(TForm *Owner, AnsiString &Password,
   AnsiString &Subject)
{
   RBEsubDlg = new TRBEsubDlg(Owner);
   RBEsubDlg->Password->Text = Password;
   RBEsubDlg->Subject->Text = Subject;
   RBEsubDlg->ShowModal();

   bool ok = RBEsubDlg->ModalResult == mrOk;
   if (ok && RBEsubDlg->Password->Text == Password && RBEsubDlg->Subject->Text == Subject)
      ok = false;

   if (ok)
   {
      Password = RBEsubDlg->Password->Text;
      Subject = RBEsubDlg->Subject->Text;
   }

   delete RBEsubDlg;
   return ok;
}
//---------------------------------------------------------------------------

__fastcall TRBEsubDlg::TRBEsubDlg(TComponent* Owner)
        : TForm(Owner)
{
   TColor color;
   LoadFonts(AppIni(), NymIni, color, Font, Password->Font, NULL);
   Subject->Font->Assign(Password->Font);
   Password->Color = color;
   Subject->Color = color;
}
//---------------------------------------------------------------------------
